Установка пакетов «Flatpak» в Deepin

Мы могли бы назвать это «Primo» пакеты «Привязать» управляемые с помощью канонический(Но преимущество, а не повторять единицы, таким образом, уменьшая вес них). Это идея, которая не является новым, но главным инженером RedHat наряду с остальной частью сообщества и общественных организаций разработала довольно хорошо (Проверьте ваш Github код, нажав здесь), Большая часть приложений Deepin Вы можете установить в этом формате, достаточно просто открыть магазин и написать «Flatpak«заглянуть команду ставки Deepin Ухань технологииэта технология упаковки «Автономный», Существует в настоящее время нет "GUI" или графический интерфейс для пакетов Flatpak кроме Deepin собственных приложений, поэтому все делается написание и команды вставки в терминал.

операция

В отличие от «нормальных» приложений, использующих системы зависимости, пакеты Flatpak содержат все зависимости необходимые для запуска приложения (Эта технология известна какИзоляция процессовилиизолированная среда-из английскийsandbox-), el aislamiento será de las dependencias, así como el código de la aplicación no teniendo contacto con el sistema, por lo que si actualizamos nuestro sistema, por una parte se aliviará la carga de la actualización ya que estaría centrada en el sistema y no en las aplicaciones, además no habría conflicto entre las dependencias del sistema y la aplicación y no solo eso, sino que al estar de forma aislada, se prevendría la infección del sistema por agentes maliciosos. Nosotros también podemos sacar provecho de esta forma de instalar aplicaciones por ello es menester conocer el trabajo que se desarrolla en Flathub.

Вот список приложений «Flatpak», которые могут быть установлены (в моем случае я забочусь больше всего 0 AD, чья версия хранилищ «Deepin» является 0.0.21, когда есть 0.0.22, но есть мне это было очень трудно установить в распределении, поскольку последняя версия порождает конфликты зависимостей с системой, которая не происходит при установке с помощью этого метода)

Для установки любого из приложений, которые Flathub предложения, прежде всего, мы должны поместить следующие командные строки в терминале:

Обновление && SUDO склонный Sudo APT установить Flatpak

Тогда:

flatpak remote-add --if-not-exists flathub  https://flathub.org/repo/flathub.flatpakrepo

Затем установить некоторые приложения из терминала очень просто, вы просто должны проконсультироваться командами для такой вещи в месте Flathub, нажмите где он говорит «Командная строка»

Вы получите список приложений с соответствующими командами, просто вставьте их в терминальные остатки, в моем случае, например, я выбрал Transmission.

После загрузки (это заняло бы больше, чем установки, «APT» Потому что это будет загрузить всю необходимую зависимость) автоматически устанавливаются и мы можем запустить приложение из значка, который будет созданы в Launcher.

См приложений и удаление

Принцип очень похож на «AdvancedPackageTоол ", Flatpak для просмотра приложений, которые установлены на вашей системе, мы должны ввести следующую команду:

flatpak list

Вы увидите, что их имена немного долго, потому что эти имена, как они вышли там будут использовать их для выполнения некоторых деинсталлировать (Конечно, это также может быть сделано из пусковой установки, щелкнув правой кнопкой мыши на значок, чтобы открыть меню и выбрать «Удалить»):

Чтобы обновить, командная строка выглядит следующим образом, это обновит все приложения, которые вы установили легко и просто, как вы можете предпринять, чтобы сделать другие задачи:

flatpak update

В моем случае, он нашел обновление диссонанс.

Есть другие хранилища, где вы можете получить больше приложений, примеры KDE:

flatpak remote-add --if-not-exists kdeapps --from https://distribute.kde.org/kdeapps.flatpakrepo

Некоторые из них не является официальной, но создаются добровольцами, Нажмите здесь, чтобы просмотреть.
Вы нашли хранилище? Пусть он знает, в комментариях, спасибо за чтение

Создайте свой первый .Flatpak  Создание простых приложений .Flatpak 

Ahora tendrás la posibilidad de instalar desde los repositorios el paquete gnome-software-plugin-flatpak, personalmente lo instalé desde Synaptic, con eso instalado podrás cliquear en cualquier archivo flatpak que descargues «.flatpakref» y podrás instalarlo de forma gráfica.

5 1 vote
Оцените статью
 
Подписываться
Доклад
19 Reacciones
Более популярным
Новее Старшая
Мнение из статьи
Посмотреть все комментарии
Car
Car (@car)
3 años atrás

Me encanto; muy buen articulo.

Akiba Illusion
Akiba Illusion (@akibaillusion)
3 años atrás

Gracias mi Jhalo  😳 

Jose Luis
Jose Luis (@jose-luis)
2 años atrás

Я также установил гном-софт-плагин-Flatpak из пакетов Synaptic, но хочу установить приложение, которые я получаю сообщение «Это не сработало. Файл не поддерживается «Как делается использовать графический интерфейс?

Эли
Эли (@eli)
Админ
2 años atrás
Ответил: Хосе Луис

Я также установил гном-софт-плагин-Flatpak из пакетов Synaptic, но хочу установить приложение, которые я получаю сообщение «Это не сработало. Файл не поддерживается «Как делается использовать графический интерфейс?

Здравствуйте Хосе Луис Добро пожаловать на форум, как статья объясняет, что нет в настоящее время нет возможности установить Flatpak приложения с помощью графического интерфейса, но вы не можете забыть написать команду:

Flatpak дистанционного добавить --Если-не-существует flathub https://flathub.org/repo/flathub.flatpakrepo 

в терминале, прежде чем пытаться установить любое приложение. Вы сделали, что первый?

Jose Luis
Jose Luis (@jose-luis)
Respondiendo a  Эли
2 años atrás

Спасибо за ответ, я поставил линию в терминале послал меня и до сих пор не удалось запустить графический интерфейс установки. Но когда я установил Nautilus я понял, что из этого файлового менеджера, если вы можете использовать установку GUI, теперь я должен найти способ установить Nautilus по умолчанию.

Эли
Эли (@eli)
Админ
2 años atrás
Ответил: Хосе Луис

Теперь я должен найти способ установить Nautilus по умолчанию.

Рад помочь, хорошая новость для вас. Яннзель Он нашел способ сделать именно это здесь

Lewin Viola
Lewin Viola (@lewinviola)
2 años atrás

все ясно

Sebastian Martin Suarez
Sebastian Martin Suarez (@sebastianmartinsuarez)
1 año atrás

Здравствуйте, когда я не ставлю команду flatpak remote-add –if-not-exists flathub https://dl.flathub.org/repo/flathub.flatpakrepo
он говорит мне "bash: flatpak: command not found"
есть идеи, почему это?
У меня deepin 15.10

Sebastian Martin Suarez
Sebastian Martin Suarez (@sebastianmartinsuarez)
1 año atrás

Привет, Intent в Deepin 15.10, и это меня бросает:
bash: flatpak: команда не найдена
Любые идеи?

Isaías Gätjens M
Isaías Gätjens M (@igatjens)
Админ
Respondiendo a  Sebastian Martin Suarez
1 año atrás

Здравствуйте, мне кажется, что вам все еще нужно установить flatpak, до того, как Deepin 15.10 Flatpak был предустановлен, но теперь он больше не предустановлен, статья была написана до Deepin 15.10.

Вы можете установить Flatpak с помощью следующей команды:

Обновление && SUDO склонный Sudo APT установить Flatpak

После установки вы можете устанавливать программы Flatpak.

Привет.

Эли
Эли (@eli)
Админ
Respondiendo a  Isaías Gätjens M
1 año atrás

Определенно, забудьте, что deepin больше не имеет установленного по умолчанию flatpak, как раньше, поэтому попробуйте:

Обновление && SUDO склонный Sudo APT установить Flatpak

y

Flatpak дистанционного добавить --Если-не-существует flathub https://flathub.org/repo/flathub.flatpakrepo 

Затем установите нужные приложения, как написано Isaías Gätjens M

Sebastian Martin Suarez
Sebastian Martin Suarez (@sebastianmartinsuarez)
Respondiendo a  Эли
1 año atrás

Спасибо. И то, что Flatpak не установлен, означает, что не все приложения будут перенесены на Flatpak?

Эли
Эли (@eli)
Админ
Respondiendo a  Sebastian Martin Suarez
1 año atrás

Мне нравится, что я решаю проблему за вас, будем обновлять правильными командами. Что касается миграции Flatpak, я не знаю ответа, поскольку он не дал никаких официальных заявлений по этому поводу.

Sebastian Martin Suarez
Sebastian Martin Suarez (@sebastianmartinsuarez)
Respondiendo a  Isaías Gätjens M
1 año atrás

спасибо

Sebastian Martin Suarez
Sebastian Martin Suarez (@sebastianmartinsuarez)
Respondiendo a  Isaías Gätjens M
1 año atrás

Работал установкой Flatpak, спасибо!

Эли
Эли (@eli)
Админ
1 año atrás

Здравствуйте Себастьян Мартин Суарес Это могло произойти из-за небольшого изменения, которое я заметил в команде при добавлении поддержки flatpak, а не из-за того, как оно отображается в статье:

Flatpak дистанционного добавить --Если-не-существует flathub https://flathub.org/repo/flathub.flatpakrepo 

Затем попробуйте добавить желаемое приложение Flatpak.

Может стоит немного обновить эту статью, ей уже год. Сообщите мне, сработало ли это для вас.

Sebastian Martin Suarez
Sebastian Martin Suarez (@sebastianmartinsuarez)
Respondiendo a  Эли
1 año atrás

Сработало, установив Flatpak, спасибо!

HENRY GARCIA M.
HENRY GARCIA M. (@henrygarciam)
1 año atrás

помогите, я только что установил Deepin 115.10, и они не дают мне команд для установки плоского пакета;

[email protected]:~$ sudo apt install flatpak
Чтение списков пакетов ... Готово
дерево зависимостей здания
Чтение информации о состоянии ... Готово
Flatpak уже находится в последней версии (0.8.9-0 + deb9u1).
0 обновлено, 0 будет установлено, 0 удалено и 1 не обновлено.
[email protected]:~$ sudo apt install gnome-software-plugin-flatpak
Чтение списков пакетов ... Готово
дерево зависимостей здания
Чтение информации о состоянии ... Готово
gnome-software-plugin-flatpak уже находится в последней версии (3.22.5-1).
0 обновлено, 0 будет установлено, 0 удалено и 1 не обновлено.
[email protected]:~$ flatpak remote-add –if-not-exists flathub https://flathub.org/repo/flathub.flatpakrepo
[email protected]:~$ flatpak remote-add –if-not-exists flathub https://flathub.org/repo/flathub.flatpakrepo
[email protected]:~$ flatpak list
[email protected]:~$

HENRY GARCIA M.
HENRY GARCIA M. (@henrygarciam)
Respondiendo a  HENRY GARCIA M.
1 año atrás

[email protected]:~$ sudo add-apt-repository ppa:alexlarsson/flatpak
Отслеживание (последний вызов последний):
File «/usr/bin/add-apt-repository», line 95, in
sp = SoftwareProperties(options=options)
File «/usr/lib/python3/dist-packages/softwareproperties/SoftwareProperties.py», line 109, in __init__
self.reload_sourceslist()
File «/usr/lib/python3/dist-packages/softwareproperties/SoftwareProperties.py», line 599, in reload_sourceslist
self.distro.get_sources(self.sourceslist)
File «/usr/lib/python3/dist-packages/aptsources/distro.py», line 93, in get_sources
(self.id, self.codename))
aptsources.distro.NoDistroTemplateException: Ошибка: не удалось найти шаблон распространения для Deepin / stable
[email protected]:~$

19
0
Мы хотели бы знать, что вы думаете, присоединиться к обсуждению.Икс